Skip to main content
POST
/
api
/
v1
/
api-keys
/
{api_key_id}
/
revoke
Revoke Api Key
curl --request POST \
  --url https://staging.cutmake.ai/api/v1/api-keys/{api_key_id}/revoke \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "org_id": "<string>",
  "name": "<string>",
  "rate_limit": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "is_active": true,
  "last_used_at": "2023-11-07T05:31:56Z",
  "created_by_id": "<string>",
  "permissions": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

api_key_id
string
required

Response

Successful Response

Schema for responses that should not leak the hashed key.

id
string
required
org_id
string
required
name
string
required
rate_limit
integer
required
created_at
string<date-time>
required
expires_at
string<date-time> | null
required
is_active
boolean
required
last_used_at
string<date-time> | null
required
created_by_id
string | null
required
permissions
string[]